<template>
	<view class="page">
		<uni-nav-bar @clickLeft="goto(1, 1)" left-icon="back"  :border="false" :shadow="false" :fixed="true"
		:title="info.title" backgroundColor="#fff"></uni-nav-bar>
		<view style="width: 96%; margin: 20rpx auto;">
			<image src='/static/images/Companyprofile.png' mode="widthFix" style="width: 100%;" v-if="title=='aboutus'"></image>
			<view class="table_content" style="padding: 15pt; font-size: 32rpx;"><jyf-parser :html="info.content"></jyf-parser></view>
		</view>
	</view>
</template>

<script>
	import jyfParser from '@/components/common/jyf-parser/jyf-parser';
	import {
		mapState,
		mapMutations
	} from 'vuex';
	export default {
		components: {
			jyfParser
		},
		data() {
			return {
				info: {},
				title: "aboutus"
			};
		},
		computed: {
			...mapState(['userInfo'])
		},
		//第一次加载
		onLoad(e) {
			if(e.id){
				if(e.id=="aboutus"){
					this.title = e.id;
				}else{
					this.title = '';
				}
				this.$http.get('/api/article/detail?id='+e.id+'&lang=' + this.$i18n.locale).then(res => {
					this.info = res.data;
				});
			}
		},
		//页面显示
		onShow() {},
		//方法
		methods: {
			goto(url, type) {
			    if (type == 2) {
			        return uni.switchTab({ url: url })
			    }
			    if (type == 1) {
			        return uni.navigateBack({ delta: url });
			    }
			    uni.navigateTo({
			        url: url
			    })
			},
			handleClick(tab, event) {
				
			}
		},
		//页面隐藏
		onHide() {},
		//页面卸载
		onUnload() {},
		//页面下来刷新
		onPullDownRefresh() {},
		//页面上拉触底
		onReachBottom() {},
		//用户点击分享
		onShareAppMessage(e) {
			return this.wxShare();
		}
	};
</script>
<style lang="scss" scoped>
	@import '@/style/mixin.scss';
	body{background-color: #fff;}
	.page{ min-height: 100vh;background-color: #fff;}
	.wallet1{
		border-radius: 20rpx; padding: 40rpx 30rpx; width: 84%; margin: 20rpx auto;
		background: url('/static/images/w1.png') #2B66F6; background-repeat: no-repeat; background-position: 92% 10rpx;
	}
	.cell_list .t{
		color: #3d3d3d; font-size: 32rpx; font-weight: 400; line-height: 50rpx;
	}
	.cell_list .d{
		color: #999; font-size: 24rpx; font-weight: 400; line-height: 40rpx; clear: both;
	}
	.cell_list .u{
		color: #1D61E7; font-weight: 600;float: right; font-size: 32rpx;
	}
	.cell_list .u1{
		color: #333; font-weight: 600;float: right;font-size: 32rpx;
	}
	.w{
		background-color: #F8F8F8; border-radius: 20rpx; padding: 40rpx 20rpx;
	}
	.w .t{
		text-align: center; margin-top: 20rpx; font-size: 28rpx;
	}
</style>